#ifndef MYGLWIDGET_HPP
#define MYGLWIDGET_HPP

#include "GLExtensions.hpp"
#include "Cube.hpp"
#include "Sphere.hpp"

#include <cat/AllGraphics.hpp>

class MyGLWidget : public QGLWidget
{
    Q_OBJECT

    Cube cube;
    Sphere sphere;
    float precalc_xy[100];
    float precalc_z[100][100];
    unsigned char mask[100][100];

    cat::Quaternion4d camera_rotation, camera_rotation_interval;

public:
    MyGLWidget(QWidget *parent = 0);
    ~MyGLWidget();

    QSize minimumSizeHint() const;
    QSize sizeHint() const;

protected:
    void initializeGL();
    void paintGL();
    void timerEvent(QTimerEvent *);
    void resizeGL(int width, int height);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void keyPressEvent(QKeyEvent *event);

private:
    int frame;
    float angle, scale, vscale;
    float zoom, vzoom;
};

#endif // MYGLWIDGET_HPP
