#include <QtGui/QApplication>
#include <QtGui/QMessageBox>

#include "MyGLWidget.hpp"

#include <iostream>
using namespace std;


float sfrand( int *seed )
{
    float res;

    seed[0] *= 16807;

    *((unsigned int *) &res) = ( ((unsigned int)seed[0])>>9 ) | 0x40000000;

    return( res-3.0f );
}

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QGLFormat f = QGLFormat::defaultFormat();
    f.setSampleBuffers(true);
    QGLFormat::setDefaultFormat(f);

    if (!QGLFormat::hasOpenGL())
    {
        QMessageBox::information(0, "Qt OpenGL Demo 1",
                 "This system does not support OpenGL.");
        return 0;
    }

    MyGLWidget widget;
    widget.showFullScreen();
    //widget.show();

    return app.exec();
}
