#ifndef SPHERE_HPP
#define SPHERE_HPP

#include "GLExtensions.hpp"

class Sphere
{
    bool _valid;
    GLuint _vbo[2];

    static const int R = 16;
    static const int S = R/2;
    static const int STRIPS = (R-1) * 6;
    GLfloat _vertices[R*R*3*6];
    GLushort _indices[STRIPS][R*2];
    GLsizei _counts[STRIPS];

public:
    Sphere();
    ~Sphere();

    void init();
    void clean();

    void begin_draw();
    void draw();
    void end_draw();
};

#endif // SPHERE_HPP
